evaluations
Replace evaluations evaluations
Requires scopes: eval:write
PUT
/
api
/
evaluations
Replace evaluations evaluations
curl --request PUT \
--url https://evalgate.com/api/evaluations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "draft",
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://evalgate.com/api/evaluations"
payload = {
"status": "draft",
"name": "<string>",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({status: 'draft', name: '<string>', description: '<string>'})
};
fetch('https://evalgate.com/api/evaluations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"description": "<string>",
"type": "<string>",
"status": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "<string>",
"executionSettings": {
"maxRetries": 123,
"timeout": 123,
"parallel": false,
"batchSize": 123,
"measurementPolicy": {
"enabled": true,
"evaluatorReleaseId": "<string>",
"validationType": "full",
"requestedMetrics": [
"<string>"
],
"requiredEnvironments": [
"dev"
],
"gate": {
"mode": "block",
"allowedMeasurementStatuses": [
"<string>"
],
"requireConclusiveInterval": false,
"minimumSampleSize": 123,
"maximumEce": 123,
"minimumAgreement": 123,
"maximumPositionFlipRate": 123,
"requireCoverage": false
}
}
},
"modelSettings": {
"model": "<string>",
"systemPrompt": "<string>",
"temperature": 123,
"maxTokens": 123,
"topP": 123,
"provider": "<string>",
"calibrationThreshold": 123,
"judgeStrictness": 123,
"customMetrics": [
{
"name": "<string>",
"formula": "<string>",
"weight": 123,
"threshold": 123
}
],
"calibrationMeta": {}
},
"customMetrics": [
{
"name": "<string>",
"formula": "<string>",
"weight": 123,
"threshold": 123
}
],
"executorType": "<string>",
"executorConfig": {
"type": "<string>",
"endpoint": "<string>",
"headers": {}
},
"publishedRunId": 123,
"publishedVersion": 123,
"projectKey": "<string>",
"lockedBySessionId": "<string>",
"lockAcquiredAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Replace evaluations evaluations
